Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1127708 - Software Channel Entitlements: "Systems Subscribed" number contains guests registered on host with "Virtualization" add-on entitlement
Summary: Software Channel Entitlements: "Systems Subscribed" number contains guests re...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: WebUI
Version: 560
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Stephen Herr
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks: sat560-triage
TreeView+ depends on / blocked
 
Reported: 2014-08-07 11:37 UTC by Jan Hutař
Modified: 2014-08-12 13:18 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-12 13:18:31 UTC


Attachments (Terms of Use)

Description Jan Hutař 2014-08-07 11:37:06 UTC
Description of problem:
On "Software Channel Entitlements" page "Systems Subscribed" number contains guests registered on host with "Virtualization" add-on entitlement.

"Regular Consumed" + "Consumed Flex Guests" != "Systems Subscribed"

which is strange.


Version-Release number of selected component (if applicable):
  RHN Satellite:
    spacewalk-java-2.0.2-79.el6sat.noarch
    satellite-schema-5.6.0.18-1.el6sat.noarch
  Client:
    rhn-client-tools-0.4.20.1-9.el5


How reproducible:
always


Steps to Reproduce:
1. Register your XEN PV guest to the Satellite 5.6.0
2. Provision guest on that host and do not register it (in my case I have
   just deleted the profile) - this is probably not so important, mentioning
   just to describe what I have done completely
3. Add "Virtualization" add-on entitlement to that host
4. Note numbers in Overview -> Subscription Management -> Software Channel
   Entitlements -> "Red Hat Enterprise Linux (core server)" row (all I did
   was on RHEL5)
5. Register your guest
6. Note numbers in Overview -> Subscription Management -> Software Channel
   Entitlements -> "Red Hat Enterprise Linux (core server)" row again


Actual results:
You end up with these numbers:
  Channel Entitlement
    Red Hat Enterprise Linux (core server)
  Regular Consumed
    27
  Regular Available
    2962
  Consumed Flex Guests
    0
  Available Flex Guests
    998
  Systems Subscribed
    30


Expected results:
"Regular Consumed" + "Consumed Flex Guests" != "Systems Subscribed"


Additional info:
Maybe this is expected and allows customer to see there are some guests consuming "free" entitlements through "Virtualization" add-on entitlement.

Anyway, links below "27" and "30" numbers both lead to same page:

  https://<fqdn>/network/systems/system_list/regular_in_channel_family.pxt?cfam_id=1048

which says "1 - 25 of 30" - target page talks about "30" in both cases.

Comment 1 Stephen Herr 2014-08-11 14:44:08 UTC
I agree this is strange, but it is expected. Guests that get "free" entitlements to channels through a virtualization add-on entitlement on the host do not consume either Flex or Regular Entitlements, yet they are indeed subscribed to the channels.

The only thing that I think might be remotely incorrect is that the "27" link in the "Regular Consumed" ends up going to a page that includes the "virtualization-entitled" guests, where probably it should only include systems that are consuming a Regular (physical) entitlement.

If this bug is going to remain open I would say it should be to ensure that /regular_in_channel_family.pxt only lists systems consuming regular entitlements, and there should be a separate page that lists all systems subscribed to the channel family. However considering that virtualization add-on entitlements are no longer sold (and that we have no customer complaints about this) my opinion would be that it's not worth the effort and we should probably close this bug.

Comment 2 Jan Hutař 2014-08-12 13:18:31 UTC
Thank you Stephen.

Although there are other valid arguments in your comment, I do consider "virtualization add-on entitlements are no longer sold" more than satisfactory.


Note You need to log in before you can comment on or make changes to this bug.